package com.ozs.da.utils.ftp;

/**
 * @author 宋显哲
 * @version 1.0.0 创建于 2018/8/20
 **/
public class FtpConfiguration {

    private String host;
    private int port;
    private String username;
    private String password;
    private int connectTimeOut = 60;
    private long maxWaitMillis = -1L;
    private int maxTotal = 10;
    private int maxIdle = 8;
    private int minIdle = 0;
    private boolean passiveMode=false;

    public String getHost() {
        return host;
    }

    public FtpConfiguration setHost(String host) {
        this.host = host;
        return this;
    }

    public int getPort() {
        return port;
    }

    public FtpConfiguration setPort(int port) {
        this.port = port;
        return this;
    }

    public String getUsername() {
        return username;
    }

    public FtpConfiguration setUsername(String username) {
        this.username = username;
        return this;
    }

    public String getPassword() {
        return password;
    }

    public FtpConfiguration setPassword(String password) {
        this.password = password;
        return this;
    }

    public int getConnectTimeOut() {
        return connectTimeOut;
    }

    public FtpConfiguration setConnectTimeOut(int connectTimeOut) {
        this.connectTimeOut = connectTimeOut;
        return this;
    }

    public long getMaxWaitMillis() {
        return maxWaitMillis;
    }

    public FtpConfiguration setMaxWaitMillis(long maxWaitMillis) {
        this.maxWaitMillis = maxWaitMillis;
        return this;
    }

    public int getMaxTotal() {
        return maxTotal;
    }

    public FtpConfiguration setMaxTotal(int maxTotal) {
        this.maxTotal = maxTotal;
        return this;
    }

    public int getMaxIdle() {
        return maxIdle;
    }

    public FtpConfiguration setMaxIdle(int maxIdle) {
        this.maxIdle = maxIdle;
        return this;
    }

    public int getMinIdle() {
        return minIdle;
    }

    public FtpConfiguration setMinIdle(int minIdle) {
        this.minIdle = minIdle;
        return this;
    }

    public boolean isPassiveMode() {
        return passiveMode;
    }

    public void setPassiveMode(boolean passiveMode) {
        this.passiveMode = passiveMode;
    }
}
